#include <bits/stdc++.h>

#pragma GCC optimize("Ofast")

using namespace std;

typedef long long ll;
typedef long double ld;
#define pll pair<ll, ll>
#define pb push_back

ll n, m;

ll get_hor_dif(ll pos) {
    ll cnt = (pos + 1) * m;
    ll mus1 = cnt * (cnt + 1) / 2;
    ll all = n * m;
    ll mus2 = all * (all + 1) / 2 - mus1;

    ll res = mus2 - mus1;
    if(res < 0) res *= -1;
    return res;
}

ll get_vert_dif(ll pos) {
    ll row_mus = (pos + 1) * (pos + 2) / 2;
    ll add = (n * (n - 1) / 2) * m;
    ll mus1 = row_mus * n + add * (pos + 1);

    ll mus2 = (n * m * (n * m + 1)) / 2 - mus1;
    ll res = mus2 - mus1;
    if(res < 0) res *= -1;
    return res;
}

void solve() {
    cin >> n >> m;

    /*for(ll i = 0; i < n; i++) {
        for(ll j = 0; j < m; j++) {
            cout << (i * m + j + 1) << " ";
        }
        cout << endl;
    }*/

    /// horizontal
    ll l = 0, r = n;
    while(r - l > 1) {
        ll mid = (l + r) / 2;
        ll cnt = (mid + 1) * m;
        ll mus1 = cnt * (cnt + 1) / 2;
        ll mus2 = (n * m * (n * m + 1)) / 2 - mus1;
        if(mus1 <= mus2) {
            l = mid;
        } else {
            r = mid;
        }
    }

    ll mn = get_hor_dif(l);
    ll ans_pos = l;
    string tp = "H";
    if(n > 1 && mn > get_hor_dif(l + 1)) {
        mn = get_hor_dif(l + 1);
        ans_pos = l + 1;
    }

    /// vertical
    l = 0;
    r = m;
    while(r - l > 1) {
        ll mid = (l + r) / 2;
        ll row_mus = (mid + 1) * (mid + 2) / 2;
        ll add = (n * (n - 1) / 2) * m;
        ll mus1 = row_mus * n + add * (mid + 1);

        ll mus2 = (n * m * (n * m + 1)) / 2 - mus1;

        if(mus1 <= mus2) {
            l = mid;
        } else {
            r = mid;
        }
    }

    if(mn >= get_vert_dif(l)) {
        tp = "V";
        mn = get_vert_dif(l);
        ans_pos = l;
    }
    if(m > 1 && mn >= get_vert_dif(l + 1)) {
        bool ok = true;
        if(mn == get_vert_dif(l + 1) && tp == "V") ok = false;
        if(ok) {
            tp = "V";
            mn = get_vert_dif(l + 1);
            ans_pos = l + 1;
        }
    }

    cout << tp << " " << ans_pos + 2 << "\n";
}

int main()
{
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    ll q;
    cin >> q;
    for(ll i = 0; i < q; i++)
    solve();

    return 0;
}
