#include <bits/stdc++.h>

#pragma GCC optimize("Ofast")

using namespace std;

typedef long long ll;
typedef long double ld;
#define pll pair<ll, ll>
#define pb push_back

string s;
ll n;

ll get_len(ll val) {
    if(val == 1) return 0;
    ll res = 0;
    while(val > 0) {
        res++;
        val /= 10;
    }
    return res;
}

void solve() {
    cin >> s;
    n = s.size();
    vector<pair<char, ll>> grs; // groups
    ll i = 0;
    while(i < s.size()) {
        ll j = i;
        ll cnt = 0;
        while(j < s.size() && isdigit(s[j])) {
            cnt = cnt * 10 + (s[j] - '0');
            j++;
        }
        if(cnt == 0) {
            cnt = 1;
        }

        grs.pb({s[j], cnt});
        i = j + 1;
    }

    ll sub = 0; /// maximal subtraction value
    ll add = 1; /// maximal add value(we always can add 1 different symbol)
    ll mn_pos = 0;
    ll mx_pos = 0;
    char mx_let = 'A';
    if(grs[0].first == 'A') mx_let = 'T';

    /// calculation ans for min
    ll pos = 0;
    for(ll i = 0; i < grs.size(); i++) {
        if(grs[i].second == 1) {
            if(i > 0 && i + 1 < grs.size() && grs[i - 1].first == grs[i + 1].first) {
                ll cur = get_len(grs[i - 1].second) + get_len(grs[i + 1].second) + 2 + 1;
                ll nw = get_len(grs[i - 1].second + grs[i + 1].second) + 1;
                if(cur - nw > sub) {
                    sub = cur - nw;
                    mn_pos = pos;
                }
            }
        } else {
            ll len = get_len(grs[i].second);
            if(get_len(grs[i].second) < len) {
                sub = max(sub, ll(1));
                mn_pos = pos;
            }
        }

        pos += grs[i].second;
    }

    cout << "2 " << mn_pos + 1 << "\n";

    /// for max
    pos = 0;
    for(ll i = 0; i < grs.size(); i++) {
        ll sz = 1;
        while(sz < grs[i].second) {
            ll was = get_len(grs[i].second) + 1;
            ll nw = get_len(sz) + 1 + 1 + get_len(grs[i].second) + 1;
            if(nw - was > add) {
                add = nw - was;
                mx_pos = pos + sz;
                mx_let = 'A';
                if(grs[i].first == 'A') mx_let = 'T';
            }

            sz++;
        }

        pos += grs[i].second;
    }

    cout << "1 " << mx_pos << " " << mx_let << "\n";
}

int main()
{
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    solve();

    return 0;
}
