#include <bits/stdc++.h>

#pragma GCC optimize("Ofast")

using namespace std;

typedef long long ll;
typedef long double ld;
#define pll pair<ll, ll>
#define pb push_back

const ll maxn = ll(1e5) + 2;

ll n;
vector<ll> szs;
vector<ll> shs[maxn];

void solve() {
    cin >> n;
    ll dif = 0;
    for(ll i = 0; i < n; i++) {
        ll cnt, s;
        cin >> cnt >> s;
        szs.pb(s);
        for(ll j = 0; j < cnt; j++) {
            ll cur;
            cin >> cur;
            shs[i].pb(cur);
        }

        if(dif == 0 && cnt > 1) {
            dif = shs[i][1] - shs[i][0];
        }

        for(ll j = 1; j < cnt; j++) {
            if(shs[i][j] - shs[i][j - 1] != dif) {
                cout << "No" << "\n";
                return;
            }
        }
    }

    if(n == 1) {
        cout << "Yes\n";
        cout << "1\n";
        return;
    }

    ll dist = -1;
    for(ll i = 0; i < n; i++) {
        if(shs[i].size() >= 2) {
            dist = shs[i][1] - shs[i][0];
            break;
        }
    }

    /*if(n <= 8) {
        vector<ll> ps;
        for(ll i = 0; i < n; i++) {
            ps.pb(i);
        }
        ll fact = 1;
        for(ll i = 1; i <= n; i++) {
            fact *= i;
        }
        for(ll tt = 0; tt < fact; tt++) {
            ll old_dist = dist;

            vector<ll> cur_ps;
            ll mus = 0;
            for(ll i = 0; i < n; i++) {
                cur_ps.pb(mus + shs[ps[i]][0]);
                cur_ps.pb(mus + shs[ps[i]].back());
                mus += szs[ps[i]];
            }
            bool ok = true;
            if(dist == -1) dist = cur_ps[2] - cur_ps[1];
            for(ll i = 2; i < cur_ps.size(); i += 2) {
                if(cur_ps[i] - cur_ps[i - 1] != dist) ok = false;
            }

            if(ok) {
                cout << "Yes\n";
                for(auto el : ps) {
                    cout << el+1 << " ";
                }
                cout << "\n";
                return;
            }

            dist = old_dist;
            next_permutation(ps.begin(), ps.end());
        }

        cout << "No\n";
        return;
    }*/

    if(dist != -1) {
        map<ll, set<ll>> begs;
        map<ll, set<ll>> ends;
        vector<ll> bs, es;
        for(ll i = 0; i < n; i++) {
            begs[shs[i][0]].insert(i);
            ends[szs[i] - shs[i].back()].insert(i);
            bs.pb(shs[i][0]);
            es.pb(szs[i] - shs[i].back());
        }
        for(ll i = 0; i < n; i++) {
            ll val = shs[i][0];
            if(shs[i][0] == szs[i] - shs[i].back() && begs[val].size() == 1 && ends[val].size() == 1) {
                cout << "No\n";
                return;
            }
        }

        ll first = 0;
        ll sec = 0;
        for(auto el : begs) {
            ll v = el.first;
            ll cnt = el.second.size();
            if(cnt == ends[dist - v].size()) continue;
            if(cnt > ends[dist - v].size()) first += cnt - ends[dist - v].size();
            else sec += ends[dist - v].size() - cnt;
        }
        if(first > 1 || sec > 1) {
            cout << "No\n";
            return;
        }

        vector<ll> ans;
        ll lst = -1; /// last ending position
        if(first == 0) {
            begs[bs[0]].erase(0);
            ans.pb(0);
            lst = 0;
        } else {
            for(auto el : begs) {
                ll v = el.first;
                ll cnt = el.second.size();
                if(cnt <= ends[dist - v].size() && cnt >= 1) continue;
                ll pos = *el.second.begin();
                begs[bs[v]].erase(pos);
                ans.pb(pos);
                lst = pos;
            }
        }


        /*map<ll, set<ll>> bads;
        for(auto el : begs) {
            ll v = el.first;
            ll cnt = el.second.size();
            if(cnt >= ends[dist - v].size()) continue;
            for(auto pos : ends[dist - v]) {
                bads[bs[pos]].insert(pos);
                begs[bs[pos]].erase(pos);
            }
            ends[dist - v].clear();
        }

        for(ll i = 0; i < n - 1; i++) {
            ll need = dist - es[lst];
            if(begs[need].size() == 0) {
                ends[es[lst]].erase(lst);
                bads[bs[lst]].erase(lst);

                ll pos = *bads[need].begin();
                bads[need].erase(pos);

                ans.pb(pos);

                lst = pos;
            } else {
                ends[es[lst]].erase(lst);
                bads[bs[lst]].erase(lst);

                ll pos = *begs[need].begin();
                begs[need].erase(pos);

                ans.pb(pos);

                lst = pos;
            }
        }

        cout << "Yes\n";
        for(auto el : ans) {
            cout << el+1 << " ";
        }
        return;*/
    }
}

int main()
{
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    solve();

    return 0;
}
