#include <bits/stdc++.h>

#pragma GCC optimize("Ofast")

using namespace std;

typedef long long ll;
typedef long double ld;
#define pb push_back
#define pll pair<ll, ll>

const ll inf = ll(2e18) + 5;

ll n, m, c;

vector<vector<ll>> ans =
{
    {1, 3, 1, 2, 3, 3, 2, 3, 2},
    {2, 2, 3, 2, 3, 1, 1, 1, 3},
    {3, 3, 2, 1, 1, 2, 2, 1, 3},
    {1, 2, 3, 3, 2, 1, 2, 2, 1},
    {2, 1, 2, 1, 3, 1, 3, 2, 2},
    {3, 1, 3, 2, 1, 2, 3, 2, 1},
    {1, 1, 2, 2, 2, 3, 3, 1, 3},
    {2, 3, 1, 3, 2, 2, 3, 1, 1},
    {3, 2, 1, 3, 1, 2, 1, 3, 2}
};

vector<vector<ll>> ans2 =
{
    {1, 3, 1, 2, 3, 3, 2, 2},
    {2, 2, 1, 2, 1, 3, 3, 3},
    {3, 3, 2, 1, 1, 2, 3, 1},
    {1, 2, 2, 3, 1, 3, 1, 2},
    {2, 1, 3, 3, 1, 1, 2, 3},
    {3, 1, 3, 2, 2, 3, 1, 1},
    {1, 1, 3, 1, 3, 2, 3, 2},
    {2, 3, 1, 1, 2, 2, 1, 3},
    {3, 2, 1, 3, 3, 2, 2, 1},
    {1, 3, 2, 3, 2, 1, 2, 1}
};

void solve() {
    srand(1624525423461);
    cin >> n >> m >> c;

    if(c == 2) {
        for(ll tt = 0; tt < 1000; tt++) {
            vector<ll> msks;
            ll all = (ll(1) << n) - 1;
            bool bad = false;
            for(ll j = 0; j < m; j++) {
                if(bad) break;
                bool ok = false;
                ll sz = ll(1) << n;
                ll cnt = 0;
                while(!ok) {
                    if(cnt > 100) {
                        bad = true;
                        break;
                    }
                    ok = true;
                    ll cur = (rand() * ll(1819452381) + rand() * 2341 + rand()) % sz;
                    for(auto el : msks) {
                        // cout << "here " << el << " " << cur << endl;
                        ll val = el & cur;
                        if((val & (val - 1)) != 0) {
                            ok = false;
                            break;
                        }

                        val = (all - el) & (all - cur);
                        if((val & (val - 1)) != 0) {
                            ok = false;
                            break;
                        }
                    }
                    if(ok) msks.pb(cur);

                    cnt++;
                }
            }
            if(bad) continue;

            ll out[n][m];
            ll j = 0;
            for(auto el : msks) {
                for(ll i = 0; i < n; i++) {
                    ll cur = (el & (1 << i)) > 0;
                    out[i][j] = cur + 1;
                }
                j++;
            }

            for(ll i = 0; i < n; i++) {
                for(ll j = 0; j < m; j++) {
                    cout << out[i][j] << " ";
                }
                cout << "\n";
            }
            return;
        }
    } else {
        /*if(n == 10) {
            for(ll i = 0; i < n; i++) {
                for(ll j = 0; j < m; j++) {
                    cout << ans2[i][j] << " ";
                }
                cout << "\n";
            }
        } else if(m == 10) {
            for(ll i = 0; i < n; i++) {
                for(ll j = 0; j < m; j++) {
                    cout << ans2[j][i] << " ";
                }
                cout << "\n";
            }
        }*/
        for(ll tt = 0; tt < 500; tt++) {
            ll all = 1;
            for(ll i = 0; i < n; i++) {
                all *= 3;
            }
            all--;

            bool bad = false;
            vector<vector<ll>> msks;
            for(ll j = 0; j < m; j++) {
                if(bad) continue;
                ll sz = all + 1;
                ll cnt = 0;
                bool ok = false;
                while(!ok) {
                    if(cnt > 50 * j * j) {
                        bad = true;
                        break;
                    }
                    ok = true;
                    ll cur = abs(ll(rand()) * ll(2462455254) + ll(rand()) * 234167 + ll(rand()) * 19 + rand()) % sz;
                    vector<ll> cur_msk;
                    for(ll i = 0; i < n; i++) {
                        cur_msk.pb(cur % 3);
                        cur /= 3;
                    }

                    for(auto el : msks) {
                        vector<ll> cnt_eq(3, 0);
                        for(ll i = 0; i < n; i++) {
                            if(el[i] == cur_msk[i]) {
                                cnt_eq[cur_msk[i]]++;
                            }
                        }
                        if(cnt_eq[0] >= 2 || cnt_eq[1] >= 2 || cnt_eq[2] >= 2) {
                            ok = false;
                            break;
                        }
                    }

                    if(ok) msks.pb(cur_msk);

                    cnt++;
                }
            }

            if(bad) continue;

            ll out[n][m];
            for(ll j = 0; j < m; j++) {
                for(ll i = 0; i < n; i++) {
                    out[i][j] = msks[j][i];
                }
            }

            for(ll i = 0; i < n; i++) {
                for(ll j = 0; j < m; j++) {
                    cout << out[i][j]+1 << " ";
                }
                cout << "\n";
            }
            return;
        }
    }
}

int main()
{
    //freopen("input.txt", "r", stdin);
    // freopen("output.txt", "w", stdout);

    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    solve();

    return 0;
}
