#include <bits/stdc++.h>

#pragma GCC optimize("Ofast")

using namespace std;

typedef long long ll;
typedef long double ld;
#define pb push_back
#define pll pair<ll, ll>

const ll inf = ll(2e18) + 5;
const ll maxn = ll(2e5) + 2;
const ll mod = ll(1e9) + 7;

ll fact[maxn];
string a_str, b_str, c_str;
vector<ll> a, b, c;

ll pw(ll val, ll deg) {
    if(val == 0) return 1;
    ll res = 1;
    ll cur = val;
    while(deg) {
        if(deg % 2) {
            res = (res * cur) % mod;
        }
        cur = (cur * cur) % mod;
        deg /= 2;
    }
    return res;
}

ll cnk(ll n, ll k) {
    ll res = fact[n];
    res = (res * pw(fact[k], mod - 2)) % mod;
    res = (res * pw(fact[n - k], mod - 2)) % mod;
    return res;
}

void solve() {
    cin >> a_str >> b_str >> c_str;
    ll n = a_str.size();
    for(ll i = 0; i < n; i++) {
        a.pb(a_str[i] - '0');
        b.pb(b_str[i] - '0');
        c.pb(c_str[i] - '0');
    }

    fact[0] = 1;
    for(ll i = 1; i <= n; i++) {
        fact[i] = (fact[i - 1] * i) % mod;
    }

    ll need_group = 0, eq_group = 0, plus_group = 0, both_group = 0;
    ll zero_cnt = 0;
    for(ll i = 0; i < n; i++) {
        if(a[i] + b[i] == c[i]) {
            eq_group++;
            if(min(a[i], min(b[i], c[i])) == 0) zero_cnt++;
        } else {
            if(a[i] + b[i] + 1 == c[i]) {
                need_group++;
                if(min(a[i], min(b[i], c[i])) == 0) zero_cnt++;
            } else if(a[i] + b[i] - 10 == c[i]) {
                plus_group++;
            } else if(a[i] + b[i] + 1 - 10 == c[i]) {
                both_group++;
            } else {
                cout << "0\n";
                return;
            }
        }
    }

    if(need_group != plus_group) {
        cout << "0\n";
        return;
    }
    if(need_group == 0 && both_group > 0) {
        cout << "0\n";
        return;
    }

    // cout << need_group << " " << eq_group << " " << plus_group << " " << both_group << endl;

    ll ans = fact[need_group]; /// matching pluses with needs
    ans = (ans * fact[eq_group + need_group]) % mod; /// permutations of eqs and needs merged with pluses

    ans = (ans * fact[both_group]) % mod; /// permutations of both_els

    /*ll dp[need_group][both_group + 1];
    for(ll i = 0; i < need_group; i++) {
        for(ll j = 0; j < both_group + 1; j++) {
            dp[i][j] = 0;
        }
    }
    dp[0][0] = 1;
    for(ll i = 0; i < need_group; i++) {
        for(ll j = 0; j < both_group + 1; j++) {
            if(i + 1 < need_group) dp[i + 1][j] = (dp[i + 1][j] + dp[i][j]) % mod;
            if(j + 1 <= both_group) dp[i][j + 1] = (dp[i][j + 1] + dp[i][j]) % mod;
        }
    }

    cout << dp[need_group - 1][both_group] << " " << cnk(need_group + both_group - 1, both_group) << endl;

    if(need_group > 0) ans = (ans * dp[need_group - 1][both_group]) % mod;*/

    if(both_group > 0) {
        // cout << need_group << "    " << both_group << endl;
        ans = (ans * cnk(need_group + both_group - 1, both_group)) % mod;
    }

    ans = (ans * pw(eq_group + need_group, mod - 2)) % mod;
    ans = (ans * (eq_group + need_group - zero_cnt)) % mod;

    cout << ans << "\n";
}

int main()
{
    //freopen("input.txt", "r", stdin);
    // freopen("output.txt", "w", stdout);

    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    solve();

    return 0;
}
